Bug 225953 - databases/pgadmin3: Add depend on SSL
Summary: databases/pgadmin3: Add depend on SSL
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Max Khon
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-02-16 14:06 UTC by Bernard Spil
Modified: 2018-12-11 12:59 UTC (History)
1 user (show)

See Also:
tobik: maintainer-feedback-


Attachments
svn diff for databases/pgadmin3 (554 bytes, text/plain)
2018-02-16 14:06 UTC, Bernard Spil
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2018-02-16 14:06:29 UTC
Created attachment 190691 [details]
svn diff for databases/pgadmin3

Probably the package finds ssl via one of the other dependencies that are loaded. Register it proper.

Port doesn't build with openssl-devel (OpenSSL 1.1)
Comment 1 Tobias Kortkamp freebsd_committer 2018-12-05 14:59:41 UTC
Long maintainer timeout now.  Assign to submitter to resolve/close.
Comment 2 Max Khon freebsd_committer 2018-12-11 12:59:10 UTC
Committed, thanks.

I have also a patch for openssl 1.1+ - so I haven't committed BROKEN_SSL.
Comment 3 commit-hook freebsd_committer 2018-12-11 12:59:17 UTC
A commit references this bug:

Author: fjoe
Date: Tue Dec 11 12:58:28 UTC 2018
New revision: 487234
URL: https://svnweb.freebsd.org/changeset/ports/487234

Log:
  - Update to 1.22.2
  - Add explicit missing dependency on SSL
  - Fix portlint warnings

  PR:		231454, 225953
  Submitted by:	Rainer Hurling, Bernard Spil

Changes:
  head/databases/pgadmin3/Makefile
  head/databases/pgadmin3/distinfo